REST Endpoints¶
Interactions¶
List Interactions¶
GET /api/v1/interactions
Query parameters:
start_date— filter by date range startend_date— filter by date range endagent_id— filter by agentmin_score/max_score— filter by Compass Score
Get Interaction Detail¶
GET /api/v1/interactions/{interaction_id}
Returns full interaction data including transcript, signals, coaching summary, and score.
Agents¶
List Agents¶
GET /api/v1/agents
Get Agent Performance¶
GET /api/v1/agents/{agent_id}/performance
Query parameters:
start_date/end_date— date rangeinclude_signals— include signal breakdown
Scores¶
Get Score Distribution¶
GET /api/v1/scores/distribution
Returns score distribution for the project over a given period.
Tasks¶
List Scheduled Tasks¶
GET /api/v1/tasks
Delete Task¶
DELETE /api/v1/tasks/{task_id}
Note
Full API reference with request/response schemas coming soon.